#!/usr/bin/python3

import cgi

form = cgi.FieldStorage(encoding="utf-8")
n = form.getvalue("n")
print("Content-type: text/html\n")

if (n == 42):
    print("reudig")
else:
    print("Schneeensch")
    
